"use strict";
/**
 * Utils - Tag
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.tag = void 0;
const isObject_1 = require("../isObject/isObject");
const isString_1 = require("../isString/isString");
const isArray_1 = require("../isArray/isArray");
/**
 * Easier access to tag info
 *
 * @type {import('./tagTypes').Tag}
 */
const tag = {
    get(obj, id) {
        if (!(0, isObject_1.isObjectStrict)(obj) || !(0, isString_1.isStringStrict)(id)) {
            return;
        }
        const tags = obj.metadata?.tags;
        if (!(0, isArray_1.isArrayStrict)(tags)) {
            return;
        }
        const tagInfo = {
            id: '',
            name: ''
        };
        tags.find((tag) => {
            if (!(0, isObject_1.isObjectStrict)(tag)) {
                return false;
            }
            const tagId = tag.id;
            if (tagId === id) {
                tagInfo.id = tagId;
                tagInfo.name = (0, isString_1.isStringStrict)(tag.name) ? tag.name : '';
                return true;
            }
            return false;
        });
        return tagInfo;
    },
    exists(obj, id) {
        const res = tag.get(obj, id);
        return res !== undefined;
    }
};
exports.tag = tag;
